Subject: Re: bug#74855: 30.0.92; dired - slow copy across (wireless) LAN

From: Michael Albinus <[email-masked]>
Date: Thu, 19 Dec 2024 18:50:02 +0100

Christopher Howard <[email-masked]> writes:

Hi Christopher,

>> Tramp's "ssh" method is not suited for this use case. It encodes the
>> local file with base64, and decodes it when it has been arrived on the
>> remote side.
>>
>> For this given use case, Tramp's "scp" method is better suited. See the
>> discussion in the manual, (info "(tramp) Connection types") and (info
>> "(tramp) Frequently Asked Questions") , the entry "How to speed up TRAMP".
>
> Okay, thank you. I switched to "scp" method and it was much
> faster. Somehow I didn't realize or remember that there was a separate
> Tramp info manual, but I will spend more time studying that.

Thank you for the feedback. Honestly, almost nobody reads the Tramp manual.

Best regards, Michael.